%global momorel 3

Summary: Userland logical volume management tools 
Name: lvm2
Version: 2.02.05
Release: %{momorel}m
License: GPL
Group: System Environment/Base
URL: http://sources.redhat.com/lvm2/
%NoSource 0 ftp://sources.redhat.com/pub/lvm2/LVM2.%{version}.tgz 87d8615a655b9a6c1a0e234eab2485bf
Patch0: lvm2-static.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: device-mapper >= 1.02.05
BuildRequires: readline-devel >= 5.0
Requires: device-mapper >= 1.02.05
Conflicts: lvm < 1.0.8

%description
LVM2 includes all of the support for handling read/write operations on
physical volumes (hard disks, RAID-Systems, magneto optical, etc.,
multiple devices (MD), see mdadd(8) or even loop devices, see
losetup(8)), creating volume groups (kind of virtual disks) from one
or more physical volumes and creating one or more logical volumes
(kind of logical partitions) in volume groups.

%prep
%setup -q -n LVM2.%{version}
%patch0 -p1 -b .static

%build
%configure --enable-static_link --enable-readline --enable-lvm1_fallback --with-staticdir=/sbin --with-user= --with-group=
make DESTDIR=$RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# Temporary links until initscripts get updated to use lvm.static
ln -s lvm.static $RPM_BUILD_ROOT/sbin/lvm
ln -s lvm.static $RPM_BUILD_ROOT/sbin/pvscan
ln -s lvm.static $RPM_BUILD_ROOT/sbin/vgchange
ln -s lvm.static $RPM_BUILD_ROOT/sbin/vgscan
install -m 0700 -d $RPM_BUILD_ROOT/etc/lvm/archive
install -m 0700 -d $RPM_BUILD_ROOT/etc/lvm/backup
install -m 0700 -d $RPM_BUILD_ROOT/var/lock/lvm
install -m 0700 /dev/null $RPM_BUILD_ROOT/etc/lvm/.cache

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc COPYING COPYING.LIB INSTALL README VERSION WHATS_NEW
/sbin/lvm.static
/sbin/lvm
/sbin/pvscan
/sbin/vgchange
/sbin/vgscan
/usr/sbin/*
%{_mandir}/*/*
%ghost /etc/lvm/.cache
%config(noreplace) /etc/lvm/lvm.conf
/etc/lvm/backup
/etc/lvm/archive
/var/lock/lvm

%changelog
* Thu Jul  6 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (2.2.02.05-2m)
- rebuild against readline-5.0

* Tue May 23 2006 Masanobu Sato <satoshiga@momonga-linux.org>
- (2.2.02.05-1m)
- up to 2.2.02.05

* Tue Dec 27 2005 Mitsuru Shimamura <smbd@momonga-linux.org>
- (2.2.02.01-1m)
- up to 2.2.02.01

* Fri Oct 29 2004 Tsutomu Yasuda <tom@tom.homelinux.org>
- (2.2.00.25)
  update to 2.2.00.25

* Sun Sep  5 2004 Kazuhiko <kazuhiko@fdiary.net>
- (2.0.22-1m)
- version up

* Mon Aug 23 2004 Kazuhiko <kazuhiko@fdiary.net>
- (2.00.21-1m)
- import from Fedora Core 2

* Thu May 06 2004 Warren Togami <wtogami@redhat.com> - 2.00.15-2
- i2o patch from Markus Lidel

* Tue Apr 20 2004 Bill Nottingham <notting@redhat.com> - 2.00.15-1.1
- handle disabled SELinux correctly, so that LVMs can be detected in a
  non-SELinux context
  
* Mon Apr 19 2004 Alasdair Kergon <agk@redhat.com> - 2.00.15-1
- Fix non-root build with current version of 'install'.

* Fri Apr 16 2004 Alasdair Kergon <agk@redhat.com> - 2.00.14-1
- Use 64-bit file offsets.

* Fri Apr 16 2004 Alasdair Kergon <agk@redhat.com> - 2.00.13-1
- Avoid scanning devices containing md superblocks.
- Integrate ENOTSUP patch.

* Thu Apr 15 2004 Jeremy Katz <katzj@redhat.com> - 2.00.12-4
- don't die if we get ENOTSUP setting selinux contexts

* Thu Apr 15 2004 Alasdair Kergon <agk@redhat.com> 2.00.12-3
- Add temporary pvscan symlink for LVM1 until mkinitrd gets updated.

* Wed Apr 14 2004 Alasdair Kergon <agk@redhat.com> 2.00.12-2
- Mark config file noreplace.

* Wed Apr 14 2004 Alasdair Kergon <agk@redhat.com> 2.00.12-1
- Install default /etc/lvm/lvm.conf.
- Move non-static binaries to /usr/sbin.
- Add temporary links in /sbin to lvm.static until rc.sysinit gets updated.

* Thu Apr 08 2004 Alasdair Kergon <agk@redhat.com> 2.00.11-1
- Fallback to using LVM1 tools when using a 2.4 kernel without device-mapper.

* Wed Apr 07 2004 Alasdair Kergon <agk@redhat.com> 2.00.10-2
- Install the full toolset, not just 'lvm'.

* Wed Apr 07 2004 Alasdair Kergon <agk@redhat.com> 2.00.10-1
- Update to version 2.00.10, which incorporates the RH-specific patches
  and includes various fixes and enhancements detailed in WHATS_NEW.

* Wed Mar 17 2004 Jeremy Katz <katzj@redhat.com> 2.00.08-5
- Fix sysfs patch to find sysfs
- Take patch from dwalsh and tweak a little for setting SELinux contexts on
  device node creation and also do it on the symlink creation.  
  Part of this should probably be pushed down to device-mapper instead

* Thu Feb 19 2004 Stephen C. Tweedie <sct@redhat.com> 2.00.08-4
- Add sysfs filter patch
- Allow non-root users to build RPM

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Dec  5 2003 Jeremy Katz <katzj@redhat.com> 2.00.08-2
- add static lvm binary

* Tue Dec  2 2003 Jeremy Katz <katzj@redhat.com> 
- Initial build.


